Subject: RE: IPFC WG Last Call for draft-ietf-ipfc-fcmgmt-int-mib-06.txt

From: [email-masked]
Date: Thu, 15 Mar 2001 13:52:13 -0500

Sorry to have to do this, but ... here are four
issues with this draft:

(1) The MIB boilerplate is missing (describes
	SNMP, SMI, and references the appropriate
	RFCs).
(2) There's no Security Considerations section.
	This will probably need to contain more than
	the usual MIB security boilerplate.
(3) MIB RFCs usually contain text providing a
	structural overview of the MIB before
	diving into the actual definitions.
	That's absent from this draft.
(4) The trap registration portion (FcTrap*) does
	not comply with the following requirement from
	Section 3.3 of RFC 2573:

   Notification originator applications require a mechanism for
   identifying the management targets to which notifications should be
   sent.  The particular mechanism used is implementation dependent.
   However, if an implementation makes the configuration of management
   targets SNMP manageable, it MUST use the SNMP-TARGET-MIB module
   described in this document.

Some text needs to be drafted to cover this.  One
possibility would be to require implementation of the
SNMP-TARGET-MIB in addition to the trap registration
support in this MIB, with the actual configuration
data shared across the two interfaces.

--David

---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 435-1000 x75140     FAX: +1 (508) 497-8500
[email-masked]       Mobile: +1 (978) 394-7754
---------------------------------------------------

---

From: "Murali Rajagopal" <[email-masked]>
Date: Thu, 15 Mar 2001 11:35:28 -0800

Thanks David for your input.
I will forward this to Steve Blumenau.

-Murali

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of
[email-masked]
Sent: Thursday, March 15, 2001 10:52 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: IPFC WG Last Call for draft-ietf-ipfc-fcmgmt-int-mib-06.txt

--David